Name:           qrq
Version:        0.1.4
Release:        4%{?dist}
Summary:        Morse telegraphy trainer

Group:          Applications/Communications
License:        GPLv2+
URL:            http://fkurz.net/ham/qrq.html
Source0:        http://fkurz.net/ham/qrq/qrq-%{version}.tar.gz
#Fix DESTDIR, Don't strip, preserve timestamps
Patch0:         qrq-0.1.4-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
#Requires:       

%description
qrq is an open source morse telegraphy trainer for Linux and Unix operating
systems, similar to the classic DOS version of Rufz by DL4MM.

It's not intended for learning telegraphy, but to improve the ability to
copy callsigns at high speeds, as needed for example for Contesting. 

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}%{_prefix} OSX_BUNDLE=NO


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README
%{_bindir}/qrq
%{_bindir}/qrqscore
%{_mandir}/man?/*
%{_datadir}/qrq

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 04 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.4-3
- fix CFLAGS

* Wed Sep 03 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.4-2
- misc cleanups
- new upstream 0.1.4

* Mon Jan 07 2008 Robet 'Bob' Jensen - 0.1.3-1
- Version Update
* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.1.2-1
- Initial build
